[CentOS] 5.0--> 5.1 lm_sensors "General Parse Error"

John Thomas gmane-2006-04-16 at jt-socal.com
Fri Dec 7 04:20:17 UTC 2007


Problem and solution, not sure if correct

After upgrading to 5.1 and restarting, lm_sensors complained "General 
Parse Error."  Google pointed here:
http://www.lm-sensors.org/wiki/Devices
Where I found this under "SENSOR CHIP DRIVERS - STATUS" AMD --> "Since 
Kernel 2.6.19"

Latest AMD K8 processors have integrated sensors which can be read 
directly without any additional monitoring chip. Driver contributed by 
Rudolf Marek. Userspace support available in lm_sensors 2.10.1. Upgrade 
to lm_sensors 2.10.1 is mandatory, earlier versions of libsensors will 
fail with a "General parse error" message.

My kernel is "2.6.18-53.el5.centos.plus-i686", but I figured I must of 
gotten me some backported stuff in there (i.e. I'm in over my head).

I upgraded to the lm_sensors in ATRPMS testing repo, and the problem 
went away. (lm_sensors-2.10.5-52.el5)

-- 
Sincerely,
John Thomas



More information about the CentOS mailing list